package edu.jhu.cs.oose.fall2010.group1.surveyApp.model.tests;

import static org.junit.Assert.*;

import java.util.ArrayList;


import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import edu.jhu.cs.oose.fall2010.group1.surveyApp.model.OrdinalChoice;
import edu.jhu.cs.oose.fall2010.group1.surveyApp.model.OrdinalChoiceQuestion;


public class OrdinalChoiceQuestionTest {
private ArrayList<OrdinalChoice<String>> stringOptions;
	@Before
	public void setUp() throws Exception {
		stringOptions = new ArrayList<OrdinalChoice<String>>();
		stringOptions.add(new OrdinalChoice<String>(0, "Poor"));
		stringOptions.add(new OrdinalChoice<String>(1, "Fair"));
		stringOptions.add(new OrdinalChoice<String>(2, "Good"));
		stringOptions.add(new OrdinalChoice<String>(3, "Excellent"));

		
	}

	@After
	public void tearDown() throws Exception {
		stringOptions = null;
	}

	@Test
	public void testOrdinalChoiceQuestion() {
		OrdinalChoiceQuestion<String> ocQuestion1 = new OrdinalChoiceQuestion<String>("Ordinal Choice Question 1", stringOptions);
		
		assertFalse(ocQuestion1.validate(4));
		assertTrue(ocQuestion1.validate(3));
		
		assertFalse(ocQuestion1.validate(null));
		
		assertEquals(4, ocQuestion1.getNumberOfChoices());
		assertNotSame(5, ocQuestion1.getNumberOfChoices());
		
		assertEquals("Ordinal Choice Question 1",ocQuestion1.getPrompt());
		assertNotSame("Ordinal", ocQuestion1.getPrompt());
		
		
		
	}

}
