package edu.jhu.cs.oose.fall2010.group1.surveyApp.model.tests;

import static org.junit.Assert.*;
import java.util.*;
import org.junit.*;
import edu.jhu.cs.oose.fall2010.group1.surveyApp.model.*;

public class SingleChoiceQuestionTest {
	
	@Test
	public void testSingleChoiceQuestion() {
		
		ArrayList<String> stringOptions = new ArrayList<String>();
		stringOptions.add("Option 1");
		stringOptions.add("Option 2");
		stringOptions.add("Option 3");
		stringOptions.add("Option 4");
		
		SingleChoiceQuestion<String> scQuestion1 = new SingleChoiceQuestion<String>("Single Choice Question 1", stringOptions);
		
		assertFalse(scQuestion1.validate(4));
		assertFalse(scQuestion1.validate(null));
		assertEquals(4, scQuestion1.getNumberOfChoices());
		
		
	}

}
