package edu.jhu.cs.oose.fall2010.group1.surveyApp.model;

/**
 * thrown when attempting to skip question numbers.
 * For example: If you have a survey with 4 questions, attempting to insert at index 5 (question 6).
 * @author liu
 *
 */
@SuppressWarnings("serial")
public class QuestionInsertionException extends RuntimeException {
	
	/**
	 * Default Constructor
	 */
	public QuestionInsertionException() {
		super("Cannot skip question numbers.");
	}
}
